# Redis Key Slot Calculator

A high performance Redis cluster key slot calculator.

This also handles key tags such as `somekey{actualTag}`.

### Usage

```dart
import 'package:dart_redis_cluster_key_slot/dart_redis_cluster_key_slot.dart';

void main() {
  // Get a slot number.
  print(generate('foobar')); // 12325

  // With tagging support (tags between '{}').
  print(generate('abc{foobar}')); // 12325
}
```

---

<p align="center">
  <a href="https://invertase.io/?utm_source=readme&utm_medium=footer&utm_campaign=dart_redis">
    <img width="75px" src="https://static.invertase.io/assets/invertase/invertase-rounded-avatar.png">
  </a>
  <p align="center">
    Built and maintained by <a href="https://invertase.io/?utm_source=readme&utm_medium=footer&utm_campaign=dart_redis">Invertase</a>.
  </p>
</p>
